Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.report.gui.tree
Class ReportTreeModel

    java.lang.Object
      javax.swing.tree.DefaultTreeModel
          org.apache.jmeter.report.gui.tree.ReportTreeModel

All Implemented Interfaces:
  Serializable, TreeModel

public class ReportTreeModel
extends DefaultTreeModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultTreeModel
`asksAllowsChildren, listenerList, root`

Constructor Summary
`ReportTreeModel()`

Method Summary
`ReportTreeNode` | `addComponent(TestElement component, ReportTreeNode node)`
`HashTree` | `addSubTree(HashTree subTree, ReportTreeNode current)` Adds the sub tree at the given node.
`void` | `clearTestPlan()`
`HashTree` | `getCurrentSubTree(ReportTreeNode node)`
`ReportTreeNode` | `getNodeOf(TestElement userObject)` Get the node for a given TestElement object.
`List` | `getNodesOfType(Class type)` Returns a list of tree nodes that hold objects of the given class type.
`HashTree` | `getReportPlan()`
`void` | `removeNodeFromParent(ReportTreeNode node)`

Methods inherited from class javax.swing.tree.DefaultTreeModel
`addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportTreeModel

    public ReportTreeModel()

Method Detail

### getNodesOfType

    public List getNodesOfType(Class type)

  Returns a list of tree nodes that hold objects of the given class type. If none are found, an empty list is returned.

### getNodeOf

    public ReportTreeNode getNodeOf(TestElement userObject)

  Get the node for a given TestElement object.

### addSubTree

    public HashTree addSubTree(HashTree subTree,
                               ReportTreeNode current)
                        throws IllegalUserActionException

  Adds the sub tree at the given node. Returns a boolean indicating whether the added sub tree was a full test plan.

  Throws:
    `IllegalUserActionException`

### addComponent

    public ReportTreeNode addComponent(TestElement component,
                                       ReportTreeNode node)
                                throws IllegalUserActionException

  Throws:
    `IllegalUserActionException`

### removeNodeFromParent

    public void removeNodeFromParent(ReportTreeNode node)

### getCurrentSubTree

    public HashTree getCurrentSubTree(ReportTreeNode node)

### getReportPlan

    public HashTree getReportPlan()

### clearTestPlan

    public void clearTestPlan()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.